#include <iostream>
using namespace std;

int main() 
{
	int n, l;
	cin>>n;
	int a[n];
	int temp, max;
	int i, k=0, j;
	for(i=0; i<n; i++)
		cin>>a[i];	
	if(n==2)
	{
		temp=a[0];
		a[0]=a[1];
		a[1]=temp;
	}
	else
	{
		for(i=0; i<n-1; i++)
		{
			max=a[i+1];
			l=i+1;
			for(j=i+2; j<n; j++)
			{
				if(max<=a[j])
				{
					max=a[j];
					l=j;
				}
			}
			if(max>a[i])
			{
				temp=a[i];
				a[i]=a[l];
				a[l]=temp;
				k=1;
				break;	
			}
		}
		for(i=0; i<n-1; i++)
		{
			if(a[i]==a[i+1])
				k=1;
		}
		if(k==0)
		{
			temp=a[n-1];
			a[n-1]=a[n-2];
			a[n-2]=temp;
		}
	}
	for(i=0; i<n; i++)
		cout<<a[i]<<" ";
}